package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.GradTable;

/**
 * A类Service接口
 * 
 * @author ruoyi
 * @date 2022-11-25
 */
public interface IGradTableService 
{
    /**
     * 查询A类
     * 
     * @param id A类主键
     * @return A类
     */
    public GradTable selectGradTableById(Long id);

    /**
     * 查询A类列表
     * 
     * @param gradTable A类
     * @return A类集合
     */
    public List<GradTable> selectGradTableList(GradTable gradTable);

    /**
     * 新增A类
     * 
     * @param gradTable A类
     * @return 结果
     */
    public int insertGradTable(GradTable gradTable);

    /**
     * 修改A类
     * 
     * @param gradTable A类
     * @return 结果
     */
    public int updateGradTable(GradTable gradTable);

    /**
     * 批量删除A类
     * 
     * @param ids 需要删除的A类主键集合
     * @return 结果
     */
    public int deleteGradTableByIds(Long[] ids);

    /**
     * 删除A类信息
     * 
     * @param id A类主键
     * @return 结果
     */
    public int deleteGradTableById(Long id);
}
